// -*-C++-*-
/*!
 * @file  ImageLoaderControlSVC_impl.h
 * @brief Service implementation header of ImageLoaderControl.idl
 *
 * @author 株式会社 東日本計算センター
 *
 */

#include "ImageLoaderControlSkel.h"

#ifndef IMAGELOADERCONTROLSVC_IMPL_H
#define IMAGELOADERCONTROLSVC_IMPL_H
 
/*!
 * @class ImageLoaderTriggerSVC_impl
 * Example class implementing IDL interface ImageLoaderControlServ::ImageLoaderTrigger
 */
class ImageLoaderTriggerSVC_impl
 : public virtual POA_ImageLoaderControlServ::ImageLoaderTrigger,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~ImageLoaderTriggerSVC_impl();

   // add to code
   CORBA::ULong m_ulImageLoaderTrigger;

 public:
  /*!
   * @brief standard constructor
   */
   ImageLoaderTriggerSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~ImageLoaderTriggerSVC_impl();

   // attributes and operations
   void ReqImageLoaderTrigger(CORBA::ULong ulLoaderTrigger);
   CORBA::ULong GetImageLoaderTrigger();

};

/*!
 * @class ImageLoaderResetSVC_impl
 * Example class implementing IDL interface ImageLoaderSystemContServ::ImageLoaderReset
 */
class ImageLoaderResetSVC_impl
 : public virtual POA_ImageLoaderSystemContServ::ImageLoaderReset,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~ImageLoaderResetSVC_impl();

   // add to code
   CORBA::ULong m_ulImageLoaderResetTrigger;

 public:
  /*!
   * @brief standard constructor
   */
   ImageLoaderResetSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~ImageLoaderResetSVC_impl();

   // attributes and operations
   void ReqImageLoaderReset(CORBA::ULong ulResetTrigger);
   CORBA::ULong GetImageLoaderReset();

};



#endif // IMAGELOADERCONTROLSVC_IMPL_H


